# synfig::CurveSet Class Reference

`#include <curveset.h>`

List of all members.

## Public Types

typedef std::vector< CurvePoint > | region
typedef std::vector< region > | set_type

## Public Member Functions

void | SetClamp (int &i, int &si)
| CurveSet ()
template<typename Iterator>
| CurveSet (Iterator begin, Iterator end, bool invert=false)
CurveSet | operator & (const CurveSet &rhs) const
CurveSet | operator| (const CurveSet &rhs) const
CurveSet | operator- (const CurveSet &rhs) const
int | intersect (const Point &p) const

## Public Attributes

set_type | set

## Member Typedef Documentation

typedef std::vector<CurvePoint> synfig::CurveSet::region

typedef std::vector<region> synfig::CurveSet::set_type

## Constructor & Destructor Documentation

synfig::CurveSet::CurveSet | ( |  | ) | `[inline]`

template<typename Iterator>

synfig::CurveSet::CurveSet | ( | Iterator | begin,
|  | Iterator | end,
|  | bool | invert = `false` |
| ) |  |  | `[inline]`

## Member Function Documentation

void CurveSet::SetClamp | ( | int & | i,
|  | int & | si |
| ) |  |  |

CurveSet CurveSet::operator & | ( | const CurveSet & | rhs | ) | const

CurveSet CurveSet::operator| | ( | const CurveSet & | rhs | ) | const

CurveSet CurveSet::operator- | ( | const CurveSet & | rhs | ) | const

int CurveSet::intersect | ( | const Point & | p | ) | const

References synfig::intersect().

## Member Data Documentation

set_type synfig::CurveSet::set

The documentation for this class was generated from the following files:

- curveset.h
- curveset.cpp